Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 2269)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 2270)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Revised numbering (removed 2 timeseries)
+! 
+! 2259 2017-06-08 09:09:11Z gronemeier
 ! Implemented synthetic turbulence generator
 !
@@ -923,4 +926,11 @@
     ENDIF
 
+
+!
+!-- When the land surface model is used, the flux output must be dynamic.
+    IF ( land_surface )  THEN
+       flux_output_mode = 'dynamic'
+    ENDIF
+    
 !
 !-- set the flux output units according to flux_output_mode
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 2269)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 2270)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Revised numbering (removed 2 timeseries)
+! 
+! 2252 2017-06-07 09:35:37Z knoop
 ! perturbation pressure now depending on flux_output_mode
 ! 
@@ -399,5 +402,5 @@
              IF ( humidity       ) sums_l(:,49,i)  = sums_wsqs_ws_l(:,i)       &
                                            * waterflux_output_conversion  ! w*q*
-             IF ( passive_scalar ) sums_l(:,116,i) = sums_wsss_ws_l(:,i)  ! w*s*
+             IF ( passive_scalar ) sums_l(:,114,i) = sums_wsss_ws_l(:,i)  ! w*s*
           ENDDO
 
@@ -484,5 +487,5 @@
              DO  j =  nys, nyn
                 DO  k = nzb, nzt+1
-                   sums_l(k,117,tn)  = sums_l(k,117,tn) + s(k,j,i)             &
+                   sums_l(k,115,tn)  = sums_l(k,115,tn) + s(k,j,i)             &
                                     * rmask(j,i,sr)                            &
                                     * MERGE( 1.0_wp, 0.0_wp,                   &
@@ -512,5 +515,5 @@
              ENDIF
              IF ( passive_scalar )  THEN
-                sums_l(:,117,0) = sums_l(:,117,0) + sums_l(:,117,i)
+                sums_l(:,115,0) = sums_l(:,115,0) + sums_l(:,115,i)
              ENDIF
           ENDDO
@@ -553,5 +556,5 @@
        IF ( passive_scalar )  THEN
           IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-          CALL MPI_ALLREDUCE( sums_l(nzb,117,0), sums(nzb,117), nzt+2-nzb,       &
+          CALL MPI_ALLREDUCE( sums_l(nzb,115,0), sums(nzb,115), nzt+2-nzb,       &
                               MPI_REAL, MPI_SUM, comm2d, ierr )
        ENDIF
@@ -569,5 +572,5 @@
           ENDIF
        ENDIF
-       IF ( passive_scalar )  sums(:,117) = sums_l(:,117,0)
+       IF ( passive_scalar )  sums(:,115) = sums_l(:,115,0)
 #endif
 
@@ -607,5 +610,5 @@
 !
 !--    Passive scalar
-       IF ( passive_scalar )  hom(:,1,117,sr) = sums(:,117) /                  &
+       IF ( passive_scalar )  hom(:,1,115,sr) = sums(:,115) /                  &
             ngp_2dh_s_inner(:,sr)                    ! s 
 
@@ -654,6 +657,6 @@
                 ENDIF
                 IF ( passive_scalar )  THEN
-                   sums_l(k,118,tn) = sums_l(k,118,tn) + &
-                                  ( s(k,j,i)-hom(k,1,117,sr) )**2 * rmask(j,i,sr)&
+                   sums_l(k,116,tn) = sums_l(k,116,tn) + &
+                                  ( s(k,j,i)-hom(k,1,115,sr) )**2 * rmask(j,i,sr)&
                                                                   * flag
                 ENDIF
@@ -889,5 +892,5 @@
 !--             Passive scalar flux
                 IF ( passive_scalar )  THEN
-                   sums_l(k,119,tn) = sums_l(k,119,tn)                         &
+                   sums_l(k,117,tn) = sums_l(k,117,tn)                         &
                                          - 0.5_wp * ( kh(k,j,i) + kh(k+1,j,i) )&
                                                   * ( s(k+1,j,i) - s(k,j,i) )  &
@@ -949,5 +952,5 @@
                          ENDIF
                          IF ( passive_scalar )  THEN
-                            sums_l(k+ki,119,tn) = sums_l(k+ki,119,tn) +                     &
+                            sums_l(k+ki,117,tn) = sums_l(k+ki,117,tn) +                     &
                                         surf_def_h(l)%ssws(m) * rmask(j,i,sr) ! w"s"
                          ENDIF
@@ -1001,5 +1004,5 @@
                    ENDIF
                    IF ( passive_scalar )  THEN
-                      sums_l(nzb,119,tn) = sums_l(nzb,119,tn) +                     &
+                      sums_l(nzb,117,tn) = sums_l(nzb,117,tn) +                     &
                                         surf_lsm_h%ssws(m) * rmask(j,i,sr) ! w"s"
                    ENDIF
@@ -1051,5 +1054,5 @@
                    ENDIF
                    IF ( passive_scalar )  THEN
-                      sums_l(nzb,119,tn) = sums_l(nzb,119,tn) +                     &
+                      sums_l(nzb,117,tn) = sums_l(nzb,117,tn) +                     &
                                         surf_usm_h%ssws(m) * rmask(j,i,sr) ! w"s"
                    ENDIF
@@ -1063,15 +1066,15 @@
                 IF ( surf_def_h(0)%ns >= 1 )  THEN
                    m = surf_def_h(0)%start_index(j,i)
-                   sums_l(nzb,114,tn) = sums_l(nzb,114,tn) +                      &
+                   sums_l(nzb,112,tn) = sums_l(nzb,112,tn) +                      &
                                         surf_def_h(0)%ol(m)  * rmask(j,i,sr) ! L
                 ENDIF
                 IF ( surf_lsm_h%ns >= 1 )  THEN
                    m = surf_lsm_h%start_index(j,i)
-                   sums_l(nzb,114,tn) = sums_l(nzb,114,tn) +                      &
+                   sums_l(nzb,112,tn) = sums_l(nzb,112,tn) +                      &
                                         surf_lsm_h%ol(m)  * rmask(j,i,sr) ! L
                 ENDIF
                 IF ( surf_usm_h%ns >= 1 )  THEN
                    m = surf_usm_h%start_index(j,i)
-                   sums_l(nzb,114,tn) = sums_l(nzb,114,tn) +                      &
+                   sums_l(nzb,112,tn) = sums_l(nzb,112,tn) +                      &
                                         surf_usm_h%ol(m)  * rmask(j,i,sr) ! L
                 ENDIF
@@ -1079,16 +1082,16 @@
 
              IF ( radiation  .AND.  radiation_scheme /= 'constant' )  THEN
-                sums_l(nzb,101,tn)  = sums_l(nzb,101,tn)  + rad_net(j,i)
-                sums_l(nzb,102,tn)  = sums_l(nzb,102,tn)  + rad_lw_in(nzb,j,i)
-                sums_l(nzb,103,tn)  = sums_l(nzb,103,tn)  + rad_lw_out(nzb,j,i)
-                sums_l(nzb,104,tn)  = sums_l(nzb,104,tn)  + rad_sw_in(nzb,j,i)
-                sums_l(nzb,105,tn)  = sums_l(nzb,105,tn)  + rad_sw_out(nzb,j,i)
+                sums_l(nzb,99,tn)  = sums_l(nzb,99,tn)  + rad_net(j,i)
+                sums_l(nzb,100,tn)  = sums_l(nzb,100,tn)  + rad_lw_in(nzb,j,i)
+                sums_l(nzb,101,tn)  = sums_l(nzb,101,tn)  + rad_lw_out(nzb,j,i)
+                sums_l(nzb,102,tn)  = sums_l(nzb,102,tn)  + rad_sw_in(nzb,j,i)
+                sums_l(nzb,103,tn)  = sums_l(nzb,103,tn)  + rad_sw_out(nzb,j,i)
 
 #if defined ( __rrtmg )
                 IF ( radiation_scheme == 'rrtmg' )  THEN
-                   sums_l(nzb,110,tn)  = sums_l(nzb,110,tn)  + rrtm_aldif(0,j,i)
-                   sums_l(nzb,111,tn)  = sums_l(nzb,111,tn)  + rrtm_aldir(0,j,i)
-                   sums_l(nzb,112,tn)  = sums_l(nzb,112,tn)  + rrtm_asdif(0,j,i)
-                   sums_l(nzb,113,tn)  = sums_l(nzb,113,tn)  + rrtm_asdir(0,j,i)
+                   sums_l(nzb,108,tn)  = sums_l(nzb,108,tn)  + rrtm_aldif(0,j,i)
+                   sums_l(nzb,109,tn)  = sums_l(nzb,109,tn)  + rrtm_aldir(0,j,i)
+                   sums_l(nzb,110,tn)  = sums_l(nzb,110,tn)  + rrtm_asdif(0,j,i)
+                   sums_l(nzb,111,tn)  = sums_l(nzb,111,tn)  + rrtm_asdir(0,j,i)
                 ENDIF
 #endif
@@ -1144,5 +1147,5 @@
                 ENDIF
                 IF ( passive_scalar )  THEN
-                   sums_l(nzt,119,tn) = sums_l(nzt,119,tn) + &
+                   sums_l(nzt,117,tn) = sums_l(nzt,117,tn) + &
                                         surf_def_h(2)%ssws(m) * rmask(j,i,sr) ! w"s"
                 ENDIF
@@ -1247,7 +1250,7 @@
                 IF ( passive_scalar .AND. ( .NOT. ws_scheme_sca                &
                      .OR. sr /= 0 ) )  THEN
-                   pts = 0.5_wp * ( s(k,j,i)   - hom(k,1,117,sr) +             &
-                                    s(k+1,j,i) - hom(k+1,1,117,sr) )
-                   sums_l(k,116,tn) = sums_l(k,116,tn) + pts * w(k,j,i) *      &
+                   pts = 0.5_wp * ( s(k,j,i)   - hom(k,1,115,sr) +             &
+                                    s(k+1,j,i) - hom(k+1,1,115,sr) )
+                   sums_l(k,114,tn) = sums_l(k,114,tn) + pts * w(k,j,i) *      &
                                                        rmask(j,i,sr) * flag
                 ENDIF
@@ -1277,12 +1280,10 @@
              IF ( i >= nxl  .AND.  i <= nxr  .AND.                             &
                   j >= nys  .AND.  j <= nyn )  THEN 
-                sums_l(nzb,93,tn)  = sums_l(nzb,93,tn) + surf_lsm_h%ghf_eb(m)
-                sums_l(nzb,94,tn)  = sums_l(nzb,94,tn) + surf_lsm_h%shf_eb(m)
-                sums_l(nzb,95,tn)  = sums_l(nzb,95,tn) + surf_lsm_h%qsws_eb(m)
-                sums_l(nzb,96,tn)  = sums_l(nzb,96,tn) + surf_lsm_h%qsws_liq_eb(m)
-                sums_l(nzb,97,tn)  = sums_l(nzb,97,tn) + surf_lsm_h%qsws_soil_eb(m)
-                sums_l(nzb,98,tn)  = sums_l(nzb,98,tn) + surf_lsm_h%qsws_veg_eb(m)
-                sums_l(nzb,99,tn)  = sums_l(nzb,99,tn) + surf_lsm_h%r_a(m)
-                sums_l(nzb,100,tn) = sums_l(nzb,100,tn)+ surf_lsm_h%r_s(m)
+                sums_l(nzb,93,tn)  = sums_l(nzb,93,tn) + surf_lsm_h%ghf(m)
+                sums_l(nzb,94,tn)  = sums_l(nzb,94,tn) + surf_lsm_h%qsws_liq(m)
+                sums_l(nzb,95,tn)  = sums_l(nzb,95,tn) + surf_lsm_h%qsws_soil(m)
+                sums_l(nzb,96,tn)  = sums_l(nzb,96,tn) + surf_lsm_h%qsws_veg(m)
+                sums_l(nzb,97,tn)  = sums_l(nzb,97,tn) + surf_lsm_h%r_a(m)
+                sums_l(nzb,98,tn) = sums_l(nzb,98,tn)+ surf_lsm_h%r_s(m)
              ENDIF
           ENDDO
@@ -1379,7 +1380,7 @@
                    ENDIF
                    IF ( passive_scalar )  THEN
-                      pts = 0.5_wp * ( s(k,j,i)   - hom(k,1,117,sr) +           &
-                                      s(k+1,j,i) - hom(k+1,1,117,sr) )
-                      sums_l(k,116,tn) = sums_l(k,116,tn) + pts * w(k,j,i) *    &
+                      pts = 0.5_wp * ( s(k,j,i)   - hom(k,1,115,sr) +           &
+                                      s(k+1,j,i) - hom(k+1,1,115,sr) )
+                      sums_l(k,114,tn) = sums_l(k,114,tn) + pts * w(k,j,i) *    &
                                         rmask(j,i,sr) * flag
                    ENDIF
@@ -1581,19 +1582,19 @@
                    flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
 
-                   sums_l(k,102,tn)  = sums_l(k,102,tn)  + rad_lw_in(k,j,i)    &
+                   sums_l(k,100,tn)  = sums_l(k,100,tn)  + rad_lw_in(k,j,i)    &
                                        * rmask(j,i,sr) * flag
-                   sums_l(k,103,tn)  = sums_l(k,103,tn)  + rad_lw_out(k,j,i)   &
+                   sums_l(k,101,tn)  = sums_l(k,101,tn)  + rad_lw_out(k,j,i)   &
                                        * rmask(j,i,sr) * flag
-                   sums_l(k,104,tn)  = sums_l(k,104,tn)  + rad_sw_in(k,j,i)    &
+                   sums_l(k,102,tn)  = sums_l(k,102,tn)  + rad_sw_in(k,j,i)    &
                                        * rmask(j,i,sr) * flag
-                   sums_l(k,105,tn)  = sums_l(k,105,tn)  + rad_sw_out(k,j,i)   &
+                   sums_l(k,103,tn)  = sums_l(k,103,tn)  + rad_sw_out(k,j,i)   &
                                        * rmask(j,i,sr) * flag
-                   sums_l(k,106,tn)  = sums_l(k,106,tn)  + rad_lw_cs_hr(k,j,i) &
+                   sums_l(k,104,tn)  = sums_l(k,104,tn)  + rad_lw_cs_hr(k,j,i) &
                                        * rmask(j,i,sr) * flag
-                   sums_l(k,107,tn)  = sums_l(k,107,tn)  + rad_lw_hr(k,j,i)    &
+                   sums_l(k,105,tn)  = sums_l(k,105,tn)  + rad_lw_hr(k,j,i)    &
                                        * rmask(j,i,sr) * flag
-                   sums_l(k,108,tn)  = sums_l(k,108,tn)  + rad_sw_cs_hr(k,j,i) &
+                   sums_l(k,106,tn)  = sums_l(k,106,tn)  + rad_sw_cs_hr(k,j,i) &
                                        * rmask(j,i,sr) * flag
-                   sums_l(k,109,tn)  = sums_l(k,109,tn)  + rad_sw_hr(k,j,i)    &
+                   sums_l(k,107,tn)  = sums_l(k,107,tn)  + rad_sw_hr(k,j,i)    &
                                        * rmask(j,i,sr) * flag
                 ENDDO
@@ -1655,7 +1656,7 @@
           sums(k,55:63)         = sums(k,55:63)         / ngp_2dh(sr)
           sums(k,81:88)         = sums(k,81:88)         / ngp_2dh(sr)
-          sums(k,89:114)        = sums(k,89:114)        / ngp_2dh(sr)
-          sums(k,116)           = sums(k,116)           / ngp_2dh(sr)
-          sums(k,119)           = sums(k,119)           / ngp_2dh(sr)
+          sums(k,89:112)        = sums(k,89:112)        / ngp_2dh(sr)
+          sums(k,114)           = sums(k,114)           / ngp_2dh(sr)
+          sums(k,117)           = sums(k,117)           / ngp_2dh(sr)
           IF ( ngp_2dh_s_inner(k,sr) /= 0 )  THEN
              sums(k,8:11)          = sums(k,8:11)          / ngp_2dh_s_inner(k,sr)
@@ -1666,6 +1667,6 @@
              sums(k,64)            = sums(k,64)            / ngp_2dh_s_inner(k,sr)
              sums(k,70:80)         = sums(k,70:80)         / ngp_2dh_s_inner(k,sr)
-             sums(k,118)           = sums(k,118)           / ngp_2dh_s_inner(k,sr)
-             sums(k,120:pr_palm-2) = sums(k,120:pr_palm-2) / ngp_2dh_s_inner(k,sr)
+             sums(k,116)           = sums(k,116)           / ngp_2dh_s_inner(k,sr)
+             sums(k,118:pr_palm-2) = sums(k,118:pr_palm-2) / ngp_2dh_s_inner(k,sr)
           ENDIF
        ENDDO
@@ -1788,46 +1789,44 @@
           hom(:,1,91,sr) = sums(:,91)              ! m_soil
                                                    ! 92 is initial m_soil profile
-          hom(:,1,93,sr)  = sums(:,93)             ! ghf_eb
-          hom(:,1,94,sr)  = sums(:,94)             ! shf_eb
-          hom(:,1,95,sr)  = sums(:,95)             ! qsws_eb
-          hom(:,1,96,sr)  = sums(:,96)             ! qsws_liq_eb
-          hom(:,1,97,sr)  = sums(:,97)             ! qsws_soil_eb
-          hom(:,1,98,sr)  = sums(:,98)             ! qsws_veg_eb
-          hom(:,1,99,sr)  = sums(:,99)             ! r_a
-          hom(:,1,100,sr) = sums(:,100)            ! r_s
+          hom(:,1,93,sr)  = sums(:,93)             ! ghf
+          hom(:,1,94,sr)  = sums(:,94)             ! qsws_liq
+          hom(:,1,95,sr)  = sums(:,95)             ! qsws_soil
+          hom(:,1,96,sr)  = sums(:,96)             ! qsws_veg
+          hom(:,1,97,sr)  = sums(:,97)             ! r_a
+          hom(:,1,98,sr) = sums(:,98)              ! r_s
 
        ENDIF
 
        IF ( radiation )  THEN
-          hom(:,1,101,sr) = sums(:,101)            ! rad_net
-          hom(:,1,102,sr) = sums(:,102)            ! rad_lw_in
-          hom(:,1,103,sr) = sums(:,103)            ! rad_lw_out
-          hom(:,1,104,sr) = sums(:,104)            ! rad_sw_in
-          hom(:,1,105,sr) = sums(:,105)            ! rad_sw_out
+          hom(:,1,99,sr) = sums(:,99)            ! rad_net
+          hom(:,1,100,sr) = sums(:,100)            ! rad_lw_in
+          hom(:,1,101,sr) = sums(:,101)            ! rad_lw_out
+          hom(:,1,102,sr) = sums(:,102)            ! rad_sw_in
+          hom(:,1,103,sr) = sums(:,103)            ! rad_sw_out
 
           IF ( radiation_scheme == 'rrtmg' )  THEN
-             hom(:,1,106,sr) = sums(:,106)            ! rad_lw_cs_hr
-             hom(:,1,107,sr) = sums(:,107)            ! rad_lw_hr
-             hom(:,1,108,sr) = sums(:,108)            ! rad_sw_cs_hr
-             hom(:,1,109,sr) = sums(:,109)            ! rad_sw_hr
-
-             hom(:,1,110,sr) = sums(:,110)            ! rrtm_aldif
-             hom(:,1,111,sr) = sums(:,111)            ! rrtm_aldir
-             hom(:,1,112,sr) = sums(:,112)            ! rrtm_asdif
-             hom(:,1,113,sr) = sums(:,113)            ! rrtm_asdir
+             hom(:,1,104,sr) = sums(:,104)            ! rad_lw_cs_hr
+             hom(:,1,105,sr) = sums(:,105)            ! rad_lw_hr
+             hom(:,1,106,sr) = sums(:,106)            ! rad_sw_cs_hr
+             hom(:,1,107,sr) = sums(:,107)            ! rad_sw_hr
+
+             hom(:,1,108,sr) = sums(:,108)            ! rrtm_aldif
+             hom(:,1,109,sr) = sums(:,109)            ! rrtm_aldir
+             hom(:,1,110,sr) = sums(:,110)            ! rrtm_asdif
+             hom(:,1,111,sr) = sums(:,111)            ! rrtm_asdir
           ENDIF
        ENDIF
 
-       hom(:,1,114,sr) = sums(:,114)            !: L
+       hom(:,1,112,sr) = sums(:,112)            !: L
 
        IF ( passive_scalar )  THEN
-          hom(:,1,119,sr) = sums(:,119)     ! w"s"
-          hom(:,1,116,sr) = sums(:,116)     ! w*s*
-          hom(:,1,120,sr) = sums(:,119) + sums(:,116)    ! ws 
-          hom(:,1,118,sr) = sums(:,118)     ! s*2
-       ENDIF
-
-       hom(:,1,121,sr) = rho_air       ! rho_air in Kg/m^3
-       hom(:,1,122,sr) = rho_air_zw    ! rho_air_zw in Kg/m^3
+          hom(:,1,117,sr) = sums(:,117)     ! w"s"
+          hom(:,1,114,sr) = sums(:,114)     ! w*s*
+          hom(:,1,118,sr) = sums(:,117) + sums(:,114)    ! ws 
+          hom(:,1,116,sr) = sums(:,116)     ! s*2
+       ENDIF
+
+       hom(:,1,119,sr) = rho_air       ! rho_air in Kg/m^3
+       hom(:,1,120,sr) = rho_air_zw    ! rho_air_zw in Kg/m^3
 
        hom(:,1,pr_palm,sr) =   sums(:,pr_palm)
@@ -1972,5 +1971,5 @@
 
        IF ( .NOT. neutral )  THEN
-          ts_value(22,sr) = hom(nzb,1,114,sr)          ! L
+          ts_value(22,sr) = hom(nzb,1,112,sr)          ! L
        ELSE
           ts_value(22,sr) = 1.0E10_wp
@@ -1980,5 +1979,5 @@
 
        IF ( passive_scalar )  THEN
-          ts_value(24,sr) = hom(nzb+13,1,119,sr)       ! w"s" ( to do ! )
+          ts_value(24,sr) = hom(nzb+13,1,117,sr)       ! w"s" ( to do ! )
           ts_value(25,sr) = hom(nzb+13,1,pr_palm,sr)   ! s*
        ENDIF
@@ -1987,27 +1986,25 @@
 !--    Collect land surface model timeseries
        IF ( land_surface )  THEN
-          ts_value(dots_soil  ,sr) = hom(nzb,1,93,sr)           ! ghf_eb
-          ts_value(dots_soil+1,sr) = hom(nzb,1,94,sr)           ! shf_eb
-          ts_value(dots_soil+2,sr) = hom(nzb,1,95,sr)           ! qsws_eb
-          ts_value(dots_soil+3,sr) = hom(nzb,1,96,sr)           ! qsws_liq_eb
-          ts_value(dots_soil+4,sr) = hom(nzb,1,97,sr)           ! qsws_soil_eb
-          ts_value(dots_soil+5,sr) = hom(nzb,1,98,sr)           ! qsws_veg_eb
-          ts_value(dots_soil+6,sr) = hom(nzb,1,99,sr)           ! r_a
-          ts_value(dots_soil+7,sr) = hom(nzb,1,100,sr)          ! r_s
+          ts_value(dots_soil  ,sr) = hom(nzb,1,93,sr)           ! ghf
+          ts_value(dots_soil+1,sr) = hom(nzb,1,94,sr)           ! qsws_liq
+          ts_value(dots_soil+2,sr) = hom(nzb,1,95,sr)           ! qsws_soil
+          ts_value(dots_soil+3,sr) = hom(nzb,1,96,sr)           ! qsws_veg
+          ts_value(dots_soil+4,sr) = hom(nzb,1,97,sr)           ! r_a
+          ts_value(dots_soil+5,sr) = hom(nzb,1,98,sr)           ! r_s
        ENDIF
 !
 !--    Collect radiation model timeseries
        IF ( radiation )  THEN
-          ts_value(dots_rad,sr)   = hom(nzb,1,101,sr)          ! rad_net
-          ts_value(dots_rad+1,sr) = hom(nzb,1,102,sr)          ! rad_lw_in
-          ts_value(dots_rad+2,sr) = hom(nzb,1,103,sr)          ! rad_lw_out
-          ts_value(dots_rad+3,sr) = hom(nzb,1,104,sr)          ! rad_sw_in
-          ts_value(dots_rad+4,sr) = hom(nzb,1,105,sr)          ! rad_sw_out
+          ts_value(dots_rad,sr)   = hom(nzb,1,99,sr)           ! rad_net
+          ts_value(dots_rad+1,sr) = hom(nzb,1,100,sr)          ! rad_lw_in
+          ts_value(dots_rad+2,sr) = hom(nzb,1,101,sr)          ! rad_lw_out
+          ts_value(dots_rad+3,sr) = hom(nzb,1,102,sr)          ! rad_sw_in
+          ts_value(dots_rad+4,sr) = hom(nzb,1,103,sr)          ! rad_sw_out
 
           IF ( radiation_scheme == 'rrtmg' )  THEN
-             ts_value(dots_rad+5,sr) = hom(nzb,1,110,sr)          ! rrtm_aldif
-             ts_value(dots_rad+6,sr) = hom(nzb,1,111,sr)          ! rrtm_aldir
-             ts_value(dots_rad+7,sr) = hom(nzb,1,112,sr)          ! rrtm_asdif
-             ts_value(dots_rad+8,sr) = hom(nzb,1,113,sr)          ! rrtm_asdir
+             ts_value(dots_rad+5,sr) = hom(nzb,1,108,sr)          ! rrtm_aldif
+             ts_value(dots_rad+6,sr) = hom(nzb,1,109,sr)          ! rrtm_aldir
+             ts_value(dots_rad+7,sr) = hom(nzb,1,110,sr)          ! rrtm_asdif
+             ts_value(dots_rad+8,sr) = hom(nzb,1,111,sr)          ! rrtm_asdir
           ENDIF
 
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 2269)
+++ /palm/trunk/SOURCE/header.f90	(revision 2270)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed Prandtl layer to constant flux layer
+! 
+! 2259 2017-06-08 09:09:11Z gronemeier
 ! Implemented synthetic turbulence generator
 !
@@ -2093,7 +2096,7 @@
 303 FORMAT (/' Bottom surface fluxes are used in diffusion terms at k=1')
 304 FORMAT (/' Top surface fluxes are used in diffusion terms at k=nzt')
-305 FORMAT (//'    Prandtl-Layer between bottom surface and first ', &
-               'computational u,v-level:'// &
-             '       zp = ',F6.2,' m   z0 =',F7.4,' m   z0h =',F8.5,&
+305 FORMAT (//'    Constant flux layer between bottom surface and first ',     &
+              'computational u,v-level:'// &
+             '       z_mo = ',F6.2,' m   z0 =',F7.4,' m   z0h =',F8.5,&
              ' m   kappa =',F5.2/ &
              '       Rif value range:   ',F8.2,' <= rif <=',F6.2)
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 2269)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 2270)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! dots_num must be increased when LSM and/or radiation is used
+! 
+! 2259 2017-06-08 09:09:11Z gronemeier
 ! Implemented synthetic turbulence generator
 !
@@ -381,5 +384,5 @@
 
     USE radiation_model_mod,                                                   &
-        ONLY:  radiation_init, radiation
+        ONLY:  radiation_init, radiation, radiation_scheme
     
     USE random_function_mod 
@@ -1863,4 +1866,16 @@
     ENDIF
 
+    
+!
+!-- Temporary solution to add LSM and radiation time series to the default
+!-- output
+    IF ( land_surface  .OR.  radiation )  THEN
+       IF ( TRIM( radiation_scheme ) == 'rrtmg' )  THEN
+          dots_num = dots_num + 15
+       ELSE
+          dots_num = dots_num + 11
+       ENDIF
+    ENDIF
+    
 !
 !-- If required, initialize urban surface model
